#include <iostream>
#include <chrono>
#include <thread>
#include <coatitwodll.h>

using namespace std;
  

int main()
{
  
  // initialise the server by setting the host address and the host port. An host port==0
  // will open a free port.
  // the htmlroot and the cgi-bin-root must be set.
  // The ressource descriptor server is needed to identify the server in subsequent calls.
  COATITWODLL server = StartHTTPServer("127.0.0.1", 0,"./htmlroot/","./htmlroot/cgi-bin/");
  
  // once the server is up, the port number is different from 0.
  while(!ServerPort(server))
    std::this_thread::sleep_for(chrono::milliseconds(100));
  cout << "connected at port: " << ServerPort(server) << endl;
  
  // a client might connect to the hostaddress:port by the HTTP protocol
  
  
  // entering an integer will terminate the example
  cout << "enter an integer (+<CR>) to terminate the example program: ";
  int k;
  cin >> k;
  
  // The server will be stoped and the ressources are released.
  StopHTTPserver(server);
  
}
